# charlock_holmes-0.6.9 Documentation

This is the API documentation for 'charlock_holmes-0.6.9 Documentation'.

## Classes/Modules

- CharlockHolmes
- CharlockHolmes::EncodingDetector
- String

## Methods

- ::detect — CharlockHolmes::EncodingDetector
- ::detect_all — CharlockHolmes::EncodingDetector
- #detect_encoding — String
- #detect_encoding! — String
- #detect_encodings — String

[Validate]

Generated with the Darkfish Rdoc Generator 2.